Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.table.wrappers
Class DefaultTextWrapper

    java.lang.Object
      |
      +--com.smardec.asc.table.wrappers.DefaultTextWrapper

public class DefaultTextWrapper
extends java.lang.Object

`DefaultTextWrapper` class is used by `DefaultTextCellRenderer` as a container for text and its properties.

Field Summary
`static java.awt.Color` | `DEFAULT_BACKGROUND_COLOR`
`static java.awt.Color` | `DEFAULT_COLOR`
`static java.awt.Font` | `DEFAULT_FONT`
`static int` | `DEFAULT_HORIZONTAL_ALIGN`
`static int` | `DEFAULT_VERTICAL_ALIGN`

Constructor Summary
`DefaultTextWrapper(java.lang.String text)` Constructs a `DefaultTextWrapper` with the specified text
`DefaultTextWrapper(java.lang.String text, java.awt.Color color)` Constructs a `DefaultTextWrapper` with the specified text and text color.
`DefaultTextWrapper(java.lang.String text, java.awt.Color color, java.awt.Color backgroundColor)` Constructs a `DefaultTextWrapper` with the specified text, text color and background text color.
`DefaultTextWrapper(java.lang.String text, java.awt.Color color, java.awt.Color backgroundColor, java.awt.Font font)` Constructs a `DefaultTextWrapper` with the specified text, text color, background text color and font.
`DefaultTextWrapper(java.lang.String text, java.awt.Color color, java.awt.Color backgroundColor, java.awt.Font font, int hAlign, int vAlign)` Constructs a `DefaultTextWrapper` with the specified text, text color, background text color, font, horizontal alignment and vertical alignment.
`DefaultTextWrapper(java.lang.String text, java.awt.Color color, java.awt.Font font)` Constructs a `DefaultTextWrapper` with the specified text, text color, font, horizontal alignment and vertical alignment.
`DefaultTextWrapper(java.lang.String text, java.awt.Font font)` Constructs a `DefaultTextWrapper` with the specified text and font.
`DefaultTextWrapper(java.lang.String text, int hAlign, int vAlign)` Constructs a `DefaultTextWrapper` with the specified text, horizontal alignment and vertical alignment.

Method Summary
`java.awt.Color` | `getBackgroundColor()` Returns background color of the text that holds by this wrapper.
`java.awt.Color` | `getColor()` Returns color of the text that holds by this wrapper.
`java.awt.Font` | `getFont()` Returns font of the text that holds by this wrapper.
`int` | `getHorizontalAlignment()` Returns the alignment of the wrapper's contents along the X axis.
`java.lang.String` | `getText()` Returns text that holds by this wrapper.
`int` | `getVerticalAlignment()` Returns the alignment of the wrapper's contents along the Y axis.
`void` | `setBackgroundColor(java.awt.Color backgroundColor)` Specifies background color of the text that holds by this wrapper.
`void` | `setColor(java.awt.Color color)` Specifies color of the text that holds by this wrapper.
`void` | `setFont(java.awt.Font font)` Specifies font of the text that holds by this wrapper.
`void` | `setHorizontalAlign(int hAlign)` Specifies the alignment of the wrapper's contents along the Y axis.
`void` | `setText(java.lang.String text)` Specifies text that holds by this wrapper.
`void` | `setVerticalAlign(int vAlign)` Specifies the alignment of the wrapper's contents along the Y axis.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLOR

    public static final java.awt.Color DEFAULT_COLOR

### DEFAULT_BACKGROUND_COLOR

    public static final java.awt.Color DEFAULT_BACKGROUND_COLOR

### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

### DEFAULT_HORIZONTAL_ALIGN

    public static final int DEFAULT_HORIZONTAL_ALIGN

See Also:
  Constant Field Values

### DEFAULT_VERTICAL_ALIGN

    public static final int DEFAULT_VERTICAL_ALIGN

See Also:
  Constant Field Values

Constructor Detail

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              java.awt.Color color,
                              java.awt.Color backgroundColor,
                              java.awt.Font font,
                              int hAlign,
                              int vAlign)

  Constructs a `DefaultTextWrapper` with the specified text, text color, background text color, font, horizontal alignment and vertical alignment.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `color` - text color
  `backgroundColor` - background text color
  `font` - text font
  `hAlign` - horizontal text alignment
  `vAlign` - vertical text alignment

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text)

  Constructs a `DefaultTextWrapper` with the specified text

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              java.awt.Color color)

  Constructs a `DefaultTextWrapper` with the specified text and text color.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `color` - text color

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              java.awt.Color color,
                              java.awt.Color backgroundColor)

  Constructs a `DefaultTextWrapper` with the specified text, text color and background text color.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `color` - text color
  `backgroundColor` - background text color

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              java.awt.Font font)

  Constructs a `DefaultTextWrapper` with the specified text and font.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `font` - text font

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              java.awt.Color color,
                              java.awt.Font font)

  Constructs a `DefaultTextWrapper` with the specified text, text color, font, horizontal alignment and vertical alignment.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `color` - text color
  `font` - text font

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              java.awt.Color color,
                              java.awt.Color backgroundColor,
                              java.awt.Font font)

  Constructs a `DefaultTextWrapper` with the specified text, text color, background text color and font.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `color` - text color
  `backgroundColor` - background text color
  `font` - text font

### DefaultTextWrapper

    public DefaultTextWrapper(java.lang.String text,
                              int hAlign,
                              int vAlign)

  Constructs a `DefaultTextWrapper` with the specified text, horizontal alignment and vertical alignment.

Parameters:
  `text` - text to be displayed by the `DefaultTextWrapper`'s renderer
  `hAlign` - horizontal text alignment
  `vAlign` - vertical text alignment

Method Detail

### getText

    public java.lang.String getText()

  Returns text that holds by this wrapper.

  Returns:
    text that holds by this wrapper.

### setText

    public void setText(java.lang.String text)

  Specifies text that holds by this wrapper.

  Parameters:
    `text` - that holds by this wrapper

### getColor

    public java.awt.Color getColor()

  Returns color of the text that holds by this wrapper.

  Returns:
    color of the text that holds by this wrapper.

### setColor

    public void setColor(java.awt.Color color)

  Specifies color of the text that holds by this wrapper.

  Parameters:
    `color` - color of the text that holds by this wrapper

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Returns background color of the text that holds by this wrapper.

  Returns:
    background color of the text that holds by this wrapper.

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

  Specifies background color of the text that holds by this wrapper.

  Parameters:
    `backgroundColor` - background color of the text that holds by this wrapper

### getFont

    public java.awt.Font getFont()

  Returns font of the text that holds by this wrapper.

  Returns:
    font of the text that holds by this wrapper.

### setFont

    public void setFont(java.awt.Font font)

  Specifies font of the text that holds by this wrapper.

  Parameters:
    `font` - font of the text that holds by this wrapper

### getHorizontalAlignment

    public int getHorizontalAlignment()

  Returns the alignment of the wrapper's contents along the X axis.

  Returns:
    the value of the horizontalAlignment property, one of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` or `TRAILING`.

### setHorizontalAlign

    public void setHorizontalAlign(int hAlign)

  Specifies the alignment of the wrapper's contents along the Y axis.

  The default value of this property is CENTER.

  Parameters:
    `hAlign` - one of the following constants defined in `SwingConstants`: `LEFT`, `CENTER` (the default), `RIGHT`, `LEADING` or `TRAILING`.

### getVerticalAlignment

    public int getVerticalAlignment()

  Returns the alignment of the wrapper's contents along the Y axis.

  Returns:
    the value of the verticalAlignment property, one of the following constants defined in `SwingConstants`: `TOP`, `CENTER`, or `BOTTOM`.

### setVerticalAlign

    public void setVerticalAlign(int vAlign)

  Specifies the alignment of the wrapper's contents along the Y axis.

  The default value of this property is CENTER.

  Parameters:
    `vAlign` - one of the following constants defined in `SwingConstants`: `TOP`, `CENTER` (the default), or `BOTTOM`.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.